> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/cdn/cache.md).

# Cache

## Remove files from the CDN cache

> Purges (clears the CDN cache) for the files specified\
> this will not change files on the origin and if the file is requested again it will be recached

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.UriList":{"type":"object","properties":{"uris":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/service/{serviceId}/cache/purge":{"post":{"description":"Purges (clears the CDN cache) for the files specified\nthis will not change files on the origin and if the file is requested again it will be recached","tags":["cache"],"summary":"Remove files from the CDN cache","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UriList"}}},"description":"array of URIs","required":true}}}}}
```

## Remove all files from the CDN cache

> Purges (clears the CDN cache) for the all files\
> this will not change files on the origin and if the file is requested again it will be recached

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}}}},"paths":{"/service/{serviceId}/cache/purge/all":{"post":{"description":"Purges (clears the CDN cache) for the all files\nthis will not change files on the origin and if the file is requested again it will be recached","tags":["cache"],"summary":"Remove all files from the CDN cache","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}}}}}}
```

## Force CDN to cache files

> Warms (forces CDN to cache) for the files specified

```json
{"openapi":"3.1.1","info":{"title":"api.cdn.i3d.net","version":"ed6131ed-256"},"servers":[{"url":"https://api.cdn.i3d.net/api/"}],"security":[{"OAuth2Application":[]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"application":{"tokenUrl":"https://id.i3d.net/connect/token"}}}},"schemas":{"model.HTTPMessage":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.HTTPError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"}}},"model.UriList":{"type":"object","properties":{"uris":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/service/{serviceId}/cache/warm":{"post":{"description":"Warms (forces CDN to cache) for the files specified","tags":["cache"],"summary":"Force CDN to cache files","parameters":[{"type":"string","description":"serviceId","name":"serviceId","in":"path","required":true}],"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.HTTPError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UriList"}}},"description":"array of URIs","required":true}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/cdn/cache.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
